<bugID>1336753<Summary>Contextual Feedback on Insecure Passwords blocks fields when notificationbox appears</Summary><Description>Created attachment 8833692
Screenshot of obscured input field

This relates to the feature implemented by bug 1217162.

STR:

1. Go to an insecure webpage containing a password field (e.g., http://www.w3schools.com/html/tryit.asp?filename=tryhtml_input_password)

2. Open the browser console

3. In the browser console, enter the following code:

&gt; var box = gBrowser.getNotificationBox(); setTimeout(function(){box.appendNotification('banner','Example Banner','chrome://browser/skin/Info.png',box.PRIORITY_WARNING_MEDIUM, []);}, 5000);

4. Within 5 seconds, click on the username field. The contextual feedback should appear warning about insecure submission of passwords.

5. Wait for the notificationbox (yellow banner) to appear

6. Note that the username field has slid down, but the contextual feedback has not. The username field is now obscured and effectively impossible to use.

The attached screenshot illustrates the issue.</Description></bugID>